/**
 * ActRelationshipOutcome2.java
 *
 * File generated from the medication2::ActRelationshipOutcome2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipOutcome2.
 *
 * 
 */

@XmlType(name = "ActRelationshipOutcome")
@XmlEnum
@XmlRootElement(name = "ActRelationshipOutcome2")
public enum ActRelationshipOutcome2 {
	@XmlEnumValue("OUTC")
	OUTC("OUTC"),
	@XmlEnumValue("GOAL")
	GOAL("GOAL"),
	@XmlEnumValue("RISK")
	RISK("RISK"),
	@XmlEnumValue("OBJC")
	OBJC("OBJC"),
	@XmlEnumValue("OBJF")
	OBJF("OBJF");
	
	private final String value;

    ActRelationshipOutcome2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipOutcome2 fromValue(String v) {
        for (ActRelationshipOutcome2 c: ActRelationshipOutcome2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
